Page MenuHomePhabricator

Support Hyper-V Genearation 2 VMs with system daemons and required Kernel modules
Closed, ResolvedPublicFEATURE REQUEST

Description

we need to have hyperv-daemons
this will serve both in Azure and Hyper-V deployments

Details

Difficulty level
Normal (likely a few hours)
Version
1.2.0-rc9
Why the issue appeared?
Will be filled on close

Event Timeline

syncer created this task.Nov 11 2018, 5:46 PM
syncer triaged this task as Normal priority.
syncer created this object with edit policy "Custom Policy".

The daemons package is in the rc9. Could anyone test in Hyper-V if it works as expected?

dmbaturin changed the task status from Open to Needs testing.Nov 28 2018, 11:46 PM
Line2 added a subscriber: Line2.Nov 29 2018, 7:40 AM

I just made a few first tests with VyOS 1.2.0-rolling+201811281529 and VyOS 1.2.0-RC9 (downloaded now) on Hyper-V 2012R2 (Generation 2 VM, SecureBoot off):

Keyboard on Virtual Machine Connection (console session in Hyper-V manager) is ok in rolling but not in RC9

sudo lsmod shows loaded modules:

hv_utils               28672  0
cn                     16384  3 hv_utils
ptp                    20480  1 hv_utils
hv_netvsc              53248  0
hv_storvsc             20480  1
scsi_transport_fc      45056  1 hv_storvsc
hv_vmbus               45056  4 hv_utils,hv_netvsc,hv_storvsc,hyperv_keyboard
hyperv_keyboard        16384  0
hv_balloon             24576  0

(hyperv_keyboard, cn, ptp, scsi_mod not in RC9, in rolling only)

Daemons (the same in rolling and RC9):

vyos@vyos:~$ sudo ps -ef | grep hv
root       764     2  0 08:19 ?        00:00:00 [hv_vmbus_con]
root      1390     2  0 08:19 ?        00:00:00 [hv_balloon]
root      1673     1  0 08:19 ?        00:00:00 /usr/sbin/hv_fcopy_daemon -n
root      1675     1  0 08:19 ?        00:00:00 /usr/sbin/hv_kvp_daemon -n
root      1678     1  0 08:19 ?        00:00:00 /usr/sbin/hv_vss_daemon -n

Hyper-V Manager shows:
Heartbeat: OK
Integrations Services: Update required

Shutdown (not Power-off) from Hyper-V Manager: ok

So the rolling seems ok but not RC9

Line2 added a comment.Dec 5 2018, 8:14 AM

In 1.2.0-rc10 the keyboard bug is still there as in RC9. No keyboard in hyper-v virtual machine connection. Latest rolling is ok (vyos-1.2.0-rolling+201812050337)

syncer closed this task as Resolved.Dec 5 2018, 11:59 PM
syncer moved this task from Needs Triage to Finished on the VyOS 1.2 Crux (VyOS 1.2.0-rc9) board.
Line2 added a comment.Dec 6 2018, 3:46 PM

@syncer is it really finished for you? The bug is still there in my tests

syncer added a comment.Dec 6 2018, 6:27 PM

it works in rolling, it's just @dmbaturin who messed up RC builds

Line2 added a comment.Jan 2 2019, 11:52 AM

@dmbaturin :
The keyboard bug is still there in VyOS-1.2.0-epa2! No keyboard possible in hyper-v virtual machine connection (console)

c-po claimed this task.Jan 2 2019, 1:21 PM
c-po added a subscriber: UnicronNL.
c-po renamed this task from add hyperv-daemons to Supper Hyper-V Genearation 2 VMs with system daemons and required Kernel modules.Jan 2 2019, 1:30 PM
c-po reopened this task as In progress.
c-po changed Difficulty level from Unknown (require assessment) to Normal (likely a few hours).
c-po changed Version from - to 1.2.0-rc9.
c-po closed this task as Resolved.Jan 2 2019, 4:40 PM

@Line2 it will be in tomorrows rolling release. I just tested it on my Windows 10 Hyper-V with a generation 2 VM (UEFI)

c-po renamed this task from Supper Hyper-V Genearation 2 VMs with system daemons and required Kernel modules to Support Hyper-V Genearation 2 VMs with system daemons and required Kernel modules.Jan 2 2019, 6:05 PM
Line2 added a comment.Jan 2 2019, 6:22 PM

I will test tomorrow on a Win2012R2 host

Line2 added a comment.Jan 3 2019, 7:44 AM

I tested on VyOS-1.2.0-rolling+201901030337 and the keyboard works in console on Win2012R2. As it already worked in older rolling releases I really hope it goes in EPA3.

I just tested with 1.2.0-EPA3 and it works! So the fix is included. Thanks c-po